OGRE: Ogre::D3D11AsyncTicket Class Reference

| OGRE 2.2.4 Object-Oriented Graphics Rendering Engine

Public Member Functions | List of all members
Ogre::D3D11AsyncTicket Class Reference

`#include <OgreD3D11AsyncTicket.h>`

Inheritance diagram for Ogre::D3D11AsyncTicket:
[legend]

## Public Member Functions
| D3D11AsyncTicket (BufferPacked *creator, StagingBuffer *stagingBuffer, size_t elementStart, size_t elementCount, D3D11Device &device)
virtual | ~D3D11AsyncTicket ()
const void * | map (void)
| Maps the buffer for CPU access. More...
void | operator delete (void *ptr)
void | operator delete (void *ptr, const char *, int, const char *)
void | operator delete (void *ptr, void *)
void | operator delete[] (void *ptr)
void | operator delete[] (void *ptr, const char *, int, const char *)
void * | operator new (size_t sz)
void * | operator new (size_t sz, const char *file, int line, const char *func)
| operator new, with debug line info More...
void * | operator new (size_t sz, void *ptr)
| placement operator new More...
void * | operator new[] (size_t sz)
void * | operator new[] (size_t sz, const char *file, int line, const char *func)
| array operator new, with debug line info More...
virtual bool | queryIsTransferDone (void)
void | unmap (void)
| Unmaps the pointer mapped with map(). More...

## Constructor & Destructor Documentation

## ◆ D3D11AsyncTicket()

Ogre::D3D11AsyncTicket::D3D11AsyncTicket | ( | BufferPacked * | creator,
|  | StagingBuffer * | stagingBuffer,
|  | size_t | elementStart,
|  | size_t | elementCount,
|  | D3D11Device & | device
| ) |  |

## ◆ ~D3D11AsyncTicket()

virtual Ogre::D3D11AsyncTicket::~D3D11AsyncTicket | ( |  | ) |
| virtual

## Member Function Documentation

## ◆ map()

const void* Ogre::AsyncTicket::map | ( | void |  | ) |
| inherited

Maps the buffer for CPU access.

Will stall if transfer from GPU memory to staging area hasn't finished yet.

See also
  queryIsTransferDone.

Remarks
  Attempting to const cast the returned pointer and write to it is undefined behavior. Only call this function once. Once mapped, cannot be remapped again.

Returns
  The pointer with the data read from the GPU. Read only.

## ◆ operator delete() [1/3]

template<class Alloc >

void Ogre::AllocatedObject< Alloc >::operator delete | ( | void * | ptr | ) |
| inlineinherited

## ◆ operator delete() [2/3]

template<class Alloc >

void Ogre::AllocatedObject< Alloc >::operator delete | ( | void * | ptr,
|  | const char * | ,
|  | int | ,
|  | const char * |
| ) |  |
| inlineinherited

## ◆ operator delete() [3/3]

template<class Alloc >

void Ogre::AllocatedObject< Alloc >::operator delete | ( | void * | ptr,
|  | void * |
| ) |  |
| inlineinherited

## ◆ operator delete[]() [1/2]

template<class Alloc >

void Ogre::AllocatedObject< Alloc >::operator delete[] | ( | void * | ptr | ) |
| inlineinherited

## ◆ operator delete[]() [2/2]

template<class Alloc >

void Ogre::AllocatedObject< Alloc >::operator delete[] | ( | void * | ptr,
|  | const char * | ,
|  | int | ,
|  | const char * |
| ) |  |
| inlineinherited

## ◆ operator new() [1/3]

template<class Alloc >

void* Ogre::AllocatedObject< Alloc >::operator new | ( | size_t | sz | ) |
| inlineinherited

## ◆ operator new() [2/3]

template<class Alloc >

void* Ogre::AllocatedObject< Alloc >::operator new | ( | size_t | sz,
|  | const char * | file,
|  | int | line,
|  | const char * | func
| ) |  |
| inlineinherited

operator new, with debug line info

## ◆ operator new() [3/3]

template<class Alloc >

void* Ogre::AllocatedObject< Alloc >::operator new | ( | size_t | sz,
|  | void * | ptr
| ) |  |
| inlineinherited

placement operator new

## ◆ operator new[]() [1/2]

template<class Alloc >

void* Ogre::AllocatedObject< Alloc >::operator new[] | ( | size_t | sz | ) |
| inlineinherited

## ◆ operator new[]() [2/2]

template<class Alloc >

void* Ogre::AllocatedObject< Alloc >::operator new[] | ( | size_t | sz,
|  | const char * | file,
|  | int | line,
|  | const char * | func
| ) |  |
| inlineinherited

array operator new, with debug line info

## ◆ queryIsTransferDone()

virtual bool Ogre::D3D11AsyncTicket::queryIsTransferDone | ( | void |  | ) |
| virtual

Reimplemented from Ogre::AsyncTicket.

## ◆ unmap()

void Ogre::AsyncTicket::unmap | ( | void |  | ) |
| inherited

Unmaps the pointer mapped with map().

The documentation for this class was generated from the following file:

- OgreD3D11AsyncTicket.h